// SamplDlg.h : header file
//

#include "tsapi.h"

// defines to keep track of which column in the call list is for which
//  connection state
#define LOCAL_CONNECTION_STATE MAX_DEVICES_IN_CALL-1
#define REMOTE_CONNECTION_STATE LOCAL_CONNECTION_STATE+1

/////////////////////////////////////////////////////////////////////////////
// CSampleDlg dialog

class CSampleDlg : public CDialog
{
// Construction
public:
	CSampleDlg(CWnd* pParent = NULL);	// standard constructor
 	virtual ~CSampleDlg();

// Dialog Data
	//{{AFX_DATA(CSampleDlg)
	enum { IDD = IDD_SAMPLE_DIALOG };
	CButton	m_TransferControl;
	CButton	m_ConferenceControl;
	CButton	m_AnswerControl;
	CButton	m_HoldControl;
	CButton	m_HangUpControl;
	CListCtrl	m_CallListControl;
	CButton	m_CallControl;
	CString	m_DeviceID;
	CString	m_ToDeviceID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	CTsapiWnd* m_TsapiWndPtr;

// Implementation
protected:
	HICON m_hIcon;

	LRESULT OnTsapiFailure(WPARAM wParam, LPARAM lParam);
	LRESULT OnTsapiAcsUnsolicited(WPARAM wParam, LPARAM lParam);
	LRESULT OnTsapiCstaConfirmation(WPARAM wParam, LPARAM lParam);
	LRESULT OnTsapiCstaUnsolicited(WPARAM wParam, LPARAM lParam);

	void DoButtonUpdates();
	 
	// Generated message map functions
	//{{AFX_MSG(CSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnCall();
	afx_msg void OnHangup();
	afx_msg void OnChangeTodeviceid();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClickCalllist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnHold();
	afx_msg void OnAnswer();
	afx_msg void OnConference();
	afx_msg void OnTransfer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
