// opentsrv.h : header file
//

#include "tsapi.h"

/////////////////////////////////////////////////////////////////////////////
// COpenTsrv dialog

class COpenTsrv : public CDialog
{
// Construction
public:
	COpenTsrv(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(COpenTsrv)
	enum { IDD = IDD_TSERVER_OPEN };
	CComboBox	m_TserverListControl;
	CButton	m_OKControl;
	CString	m_Login;
	CString	m_Password;
	CString	m_Tserver;
	CString	m_DeviceID;
	//}}AFX_DATA

	CTsapiWnd* m_TsapiWndPtr;
	CWnd* m_TsapiController;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COpenTsrv)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	LRESULT OnTsapiAcsConfirmation(WPARAM wParam, LPARAM lParam);
	LRESULT OnTsapiCstaConfirmation(WPARAM wParam, LPARAM lParam);
	// Generated message map functions
	//{{AFX_MSG(COpenTsrv)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeTserverlist();
	afx_msg void OnChangeLogin();
	afx_msg void OnChangeDeviceid();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
