// SamplDlg.h : header file
//

#include "tsapi.h"

/////////////////////////////////////////////////////////////////////////////
// CSampleDlg dialog

class CSampleDlg : public CDialog
{
// Construction
public:
	CSampleDlg(CWnd* pParent = NULL);	// standard constructor
 	virtual ~CSampleDlg();

// Dialog Data
	//{{AFX_DATA(CSampleDlg)
	enum { IDD = IDD_SAMPLE_DIALOG };
	CEdit	m_ToDeviceIDControl;
	CButton	m_HangUpControl;
	CButton	m_CallControl;
	CString	m_DeviceID;
	CString	m_ToDeviceID;
	CString	m_LocalStatus;
	CString	m_RemoteStatus;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	CTsapiWnd* m_TsapiWndPtr;

// Implementation
protected:
	HICON m_hIcon;

	long m_CallHandle;

	LRESULT OnTsapiFailure(WPARAM wParam, LPARAM lParam);
	LRESULT OnTsapiAcsUnsolicited(WPARAM wParam, LPARAM lParam);
	LRESULT OnTsapiCstaConfirmation(WPARAM wParam, LPARAM lParam);
	LRESULT OnTsapiCstaUnsolicited(WPARAM wParam, LPARAM lParam);

	void DoButtonUpdates();

	// Generated message map functions
	//{{AFX_MSG(CSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnCall();
	afx_msg void OnHangup();
	afx_msg void OnChangeTodeviceid();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
